import { BaseCommand } from "./commands/base.command";
import { logSystem } from "./log";

export abstract class FeatureSystem {
    public commands: typeof BaseCommand[];

    constructor() { }

    postInit?(): Promise<void>;

    public async init(message?: string): Promise<void> {
        logSystem.initLog(this.constructor.name, message ?? 'Initialized.');
    }
} 